cURL
curl --request GET \
--url https://test.deribit.com/api/v2/public/get_historical_volatility \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 8387,
"method": "public/get_historical_volatility",
"params": {
"currency": "BTC"
}
}
'import requests
url = "https://test.deribit.com/api/v2/public/get_historical_volatility"
payload = {
"jsonrpc": "2.0",
"id": 8387,
"method": "public/get_historical_volatility",
"params": { "currency": "BTC" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 8387,
method: 'public/get_historical_volatility',
params: {currency: 'BTC'}
})
};
fetch('https://test.deribit.com/api/v2/public/get_historical_volatility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 8387,
"result": [
[
1549720800000,
14.747743607344217
],
[
1549720800000,
14.747743607344217
],
[
1549724400000,
14.74257778551467
],
[
1549728000000,
14.73502799931767
],
[
1549731600000,
14.73502799931767
],
[
1549735200000,
14.73502799931767
],
[
1550228400000,
46.371891307340015
]
]
}Market Data
public/get_historical_volatility
Provides historical volatility data for a given cryptocurrency. Historical volatility measures the degree of price variation over a past period and is useful for risk assessment and option pricing.
The response includes volatility statistics calculated from historical price movements. This data can be used for portfolio risk analysis and understanding market conditions.
cURL
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
Available options:
BTC, ETH, USDC, USDT, EURR Was this page helpful?
⌘I